| QxOrm 1.4.9 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Static Public Member Functions
qx::model_view::detail::QxNestedModel< T, M > Struct Template Reference

`#include <QxNestedModel.h>`

List of all members.

## Public Types
typedef std::conditional < std::is_pointer< T >::value, qx::model_view::detail::QxNestedModel_Ptr < T, M > , qx::model_view::detail::QxNestedModel_Generic < T, M > >::type | type_model_view_1
typedef std::conditional < qx::trait::is_smart_ptr< T > ::value, qx::model_view::detail::QxNestedModel_Ptr < T, M >, type_model_view_1 > ::type | type_model_view_2
typedef std::conditional < qx::trait::is_container< T > ::value, qx::model_view::detail::QxNestedModel_Container < T, M >, type_model_view_2 > ::type | type_model_view_3
## Static Public Member Functions
static qx::IxModel * | create (qx::IxModel *pParent, const QModelIndex &idxParent, T &t)
static void | synchronize (qx::IxModel *pModel, T &t)

## Detailed Description

### template<class T, class M>
struct qx::model_view::detail::QxNestedModel< T, M >

Definition at line 317 of file QxNestedModel.h.

## Member Typedef Documentation

template<class T , class M >

typedef std::conditional< std::is_pointer<T>::value, qx::model_view::detail::QxNestedModel_Ptr<T, M>, qx::model_view::detail::QxNestedModel_Generic<T, M> >::type qx::model_view::detail::QxNestedModel< T, M >::type_model_view_1

Definition at line 320 of file QxNestedModel.h.

template<class T , class M >

typedef std::conditional< qx::trait::is_smart_ptr<T>::value, qx::model_view::detail::QxNestedModel_Ptr<T, M>, type_model_view_1 >::type qx::model_view::detail::QxNestedModel< T, M >::type_model_view_2

Definition at line 321 of file QxNestedModel.h.

template<class T , class M >

typedef std::conditional< qx::trait::is_container<T>::value, qx::model_view::detail::QxNestedModel_Container<T, M>, type_model_view_2 >::type qx::model_view::detail::QxNestedModel< T, M >::type_model_view_3

Definition at line 322 of file QxNestedModel.h.

## Member Function Documentation

template<class T , class M >

static qx::IxModel* qx::model_view::detail::QxNestedModel< T, M >::create | ( | qx::IxModel * | pParent,
|  | const QModelIndex & | idxParent,
|  | T & | t
| ) |  | `[inline, static]`

Definition at line 324 of file QxNestedModel.h.

template<class T , class M >

static void qx::model_view::detail::QxNestedModel< T, M >::synchronize | ( | qx::IxModel * | pModel,
|  | T & | t
| ) |  | `[inline, static]`

Definition at line 327 of file QxNestedModel.h.

The documentation for this struct was generated from the following file:

- C:/Dev/_Perso/QxOrm/include/QxModelView/QxNestedModel.h